CVE-2023-39347

CVSS 3.1 Score 7.6 of 10 (high)

Details

Published Sep 27, 2023
Updated: Sep 29, 2023
CWE ID 345

Summary

CVE-2023-39347 is a vulnerability affecting Cilium, a networking, observability, and security solution with an eBPF-based dataplane. The vulnerability allows an attacker with the ability to update pod labels to cause Cilium to apply incorrect network policies. This can bypass network policies that use namespace, service account, or cluster constructs to restrict traffic. The attacker needs Kubernetes API Server access to exploit this vulnerability. It has a base severity rating of HIGH and a base score of 7.6 according to CVSS:3.1. Remediation for this vulnerability involves updating to the latest version of Cilium that includes the fix for the issue. The potential danger posed by this vulnerability is that it could allow unauthorized traffic to bypass network restrictions and potentially compromise the security of an organization's infrastructure.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-39347 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options